#!/usr/bin/perl

#
#  (c) 2003-2004 by  Dr. Peter Sebbel,
# Contact: peter@vdr-portal.de
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 of the License
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


use strict;
use warnings;
use LWP::Simple;
use Time::Local; 



my $url   = "http://xpix.dieserver.de/cgi/pts/pts2.cgi?all=1"; # 
print "retrieving $url\n";
(my $content) = get($url);
#print "got $content\n";

my @timers = $content =~/<tr>.+?<\/tr>/g;

my %timers;

foreach (@timers) {
    #print "Timer: $_\n";
    my ($date, $ptsmark, $noad, $id, $channel, $checkin) = $_ =~ /<td>(.+?)<\/td>/g;
    print "$date, $ptsmark, $noad, $id, $channel, $checkin\n";
    push @{ $timers{$channel} }, join " ", ($date,  $ptsmark);
}


foreach my $chid (keys(%timers)) {
    @{$timers{$chid}} = sort (@{$timers{$chid}} );
    foreach(@{$timers{$chid}}) {
        print "$chid:  $_\n";
    }
}